<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
   <head>
      <title>HAMNET System Summary</title>
   </head>
   <body bgcolor="#101060" text="#f0f0f0">
<?php
#-- Header
echo "<H2>HAMNET Router Information</H2>\n";

#-- Uptime
$uptime=shell_exec('uptime');
echo "System uptime:<pre>$uptime</pre>";
#echo "<hr>\n";

#-- Temperature
$temp1=file_get_contents('/sys/class/hwmon/hwmon0/device/temp1_input');
$temp2=file_get_contents('/sys/class/hwmon/hwmon0/device/temp2_input');
echo "Temperature:<pre>";
echo "Ambient : ". ($temp1 / 1000.0) . " C\n";
echo "CPU core: ". ($temp2 / 1000.0) . " C\n";
echo "</pre><hr>";


#-- Interface Config
$ifconfig=shell_exec('ifconfig');
echo "Interface Configuration:<pre>$ifconfig</pre>";
echo "<hr>\n";

#-- IP Routes
$routes=shell_exec('route -n');
echo "IP routing:<pre>$routes</pre>";
echo "<hr>\n";

#-- BGP Summary
$bgpsum=shell_exec('export VTYSH_PAGER="/bin/cat"; echo "show ip bgp"|vtysh');
echo "BGP Summary:<pre>$bgpsum</pre>";
echo "<hr>\n";

#-- WLAN Status
$wlan_stn=shell_exec('for each in `ifconfig|cut -f1 -d" "`; do
if [ ${each:0:4} == "wlan" ]; then
echo "*** $each";
echo "Connected Stations (iw [wlan] station dump):";
iw $each station dump;
echo;
echo "Heard Stations (iw [wlan] scan dump):";
iw $each scan dump;
echo;
fi;  
done');
echo "WLAN Stations:<pre>$wlan_stn</pre>";
echo "<hr>\n";

#-- DMESG output
$dmesg=shell_exec('dmesg|tail -20');
echo "Recent Kernel Messages:<pre>$dmesg</pre>";
echo "<hr>\n";

?>
</body>
</html>
